API referenceProducts
PUT /v{version.ApiVersion}/products/variants/{variantId}
PUT
/v{version.ApiVersion}/products/variants/{variantId}curl -X PUT "/v{version.ApiVersion}/products/variants/0" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"barcode": "string",
"startDate": "2026-01-15T09:30:00Z",
"endDate": "2026-01-15T09:30:00Z",
"webshop": true,
"webshopStartDate": "2026-01-15T09:30:00Z",
"webshopEndDate": "2026-01-15T09:30:00Z",
"configuration": {
"id": 0,
"items": [
{
"optionBarcode": "string",
"value": "string",
"valueBarcode": "string"
}
]
}
}'Parameters
variantIdinteger<int32>pathverplichtapi-versionstringquery
Body
application/json
descriptionstring | nullbarcodestring | nullstartDatestring<date-time> | nullendDatestring<date-time> | nullwebshopboolean | nullwebshopStartDatestring<date-time> | nullwebshopEndDatestring<date-time> | nullconfigurationConfigurationRequest
Respons
OK